captoinfo(1M)

NAME
captoinfo - convert a termcap description into a terminfo description

SYNOPSIS
captoinfo [-vn width] [-V] [-1] [-w width] file . . .

DESCRIPTION
captoinfo looks in each given text file for termcap descriptions. For each one found, an equivalent terminfo description is written to standard output. Termcap tc capabilities are translated directly to terminfo use capabilities.

If no file is given, then the environment variable TERMCAP is used for the filename or entry. If TERMCAP is a full pathname to a file, only the terminal whose name is specified in the environment variable TERM is extracted from that file. If the environment variable TERMCAP is not set, then the file /usr/pkg/share/terminfo is read.

-v  print out tracing information on standard error as the program runs.

-V  print out the version of the program in use on standard error and exit.

-1  cause the fields to print out one to a line. Otherwise, the fields will be printed several to a line to a maximum width of 60 characters.

-w  change the output to width characters.

FILES

/usr/pkg/share/terminfo
    Compiled terminal description database.

TRANSLATIONS FROM NONSTANDARD CAPABILITIES

Some obsolete nonstandard capabilities will automatically be translated into standard (SVr4/XSI Curses) terminfo capabilities by captoinfo. Whenever one of these automatic translations is done, the program will issue an notification to stderr, inviting the user to check that it has not mistakenly translated a completely unknown and random capability and/or syntax error.

XENIX termcap also used to have a set of extension capabilities for forms drawing, designed to take advantage of the IBM PC high-half graphics. They were as follows:

If the single-line capabilities occur in an entry, they will automatically be composed into an acsc string. The double-line capabilities and GG are discarded with a warning message.

IBM's AIX has a terminfo facility descended from SVr1 terminfo but incompatible with the SVr4 format. The following AIX extensions are automatically translated:

Additionally, the AIX box1 capability will be automatically translated to an acsc string.

Hewlett-Packard's terminfo library supports two nonstandard terminfo capabilities meml (memory lock) and memu (memory unlock). These will be discarded with a warning message.

NOTES
This utility is actually a link to tic(1M), running in -I mode. You can use other tic options such as -f and -x.

The trace option is not identical to SVr4's. Under SVr4, instead of following the -v with a trace level n, you repeat it n times.

SEE ALSO
infocmp(1M), curses(3X), terminfo(5)

This describes ncurses version 6.0 (patch 20150808).

AUTHOR
Eric S. Raymond <esr@snark.thyrsus.com> and
Thomas E. Dickey <dickey@invisible-island.net>